summaryrefslogtreecommitdiff
path: root/testprogs
diff options
context:
space:
mode:
authorStefan Metzmacher <metze@samba.org>2015-06-11 18:58:42 +0200
committerStefan Metzmacher <metze@samba.org>2015-07-08 18:38:22 +0200
commit03fc85e39b65b746c47195b3d1582dfacd87d577 (patch)
tree9735b26dc97b05fc97691dc630a0c720f09df6e5 /testprogs
parentb2ad31ac0d28ce31b7c05fc79068a3e715d404d3 (diff)
downloadsamba-03fc85e39b65b746c47195b3d1582dfacd87d577.tar.gz
testprogs/blackbox: let test_kinit_trusts.sh verify that setpassword (via LDAP) is rejected
Signed-off-by: Stefan Metzmacher <metze@samba.org> Reviewed-by: Andrew Bartlett <abartlet@samba.org>
Diffstat (limited to 'testprogs')
-rwxr-xr-xtestprogs/blackbox/test_kinit_trusts.sh2
1 files changed, 2 insertions, 0 deletions
diff --git a/testprogs/blackbox/test_kinit_trusts.sh b/testprogs/blackbox/test_kinit_trusts.sh
index 43c8ad40ab4..72aef67aa5c 100755
--- a/testprogs/blackbox/test_kinit_trusts.sh
+++ b/testprogs/blackbox/test_kinit_trusts.sh
@@ -93,6 +93,8 @@ test_smbclient "Test login with user kerberos lowercase realm 2" 'ls' -k yes -U$
SMBCLIENT_UNC="//$TRUST_SERVER.$TRUST_REALM/tmp"
test_smbclient "Test user login with the first outgoing secret" 'ls' -k yes -U$USERNAME@$REALM%$PASSWORD || failed=`expr $failed + 1`
+testit_expect_failure "setpassword should not work" $VALGRIND $samba_tool user setpassword "${TRUST_DOMAIN}\$" --random-password || failed=`expr $failed + 1`
+
testit "wbinfo ping dc" $VALGRIND $wbinfo --ping-dc --domain=$TRUST_DOMAIN || failed=`expr $failed + 1`
testit "wbinfo change outgoing trust pw" $VALGRIND $wbinfo --change-secret --domain=$TRUST_DOMAIN || failed=`expr $failed + 1`
testit "wbinfo check outgoing trust pw" $VALGRIND $wbinfo --check-secret --domain=$TRUST_DOMAIN || failed=`expr $failed + 1`